package app.navigation.regular;

import app.data.service.MatchService;
import app.data.service.MatchdayService;
import app.data.service.SeasonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class RegularNavigationService {

    private final SeasonService seasonService;
    private final MatchdayService matchdayService;
    private final MatchService matchService;

    public RegularNavigationService(@Autowired SeasonService seasonService,
                                    @Autowired MatchdayService matchdayService,
                                    @Autowired MatchService matchService) {
        this.seasonService = seasonService;
        this.matchdayService = matchdayService;
        this.matchService = matchService;
    }

    public RegularNavigation getNewNavigation() {
        return new RegularNavigation(seasonService, matchdayService, matchService);
    }
}
